## visad.bom
Class ShadowBarbFunctionTypeJ2D

    java.lang.Object
      visad.ShadowType
          visad.java2d.ShadowTypeJ2D
              visad.java2d.ShadowFunctionOrSetTypeJ2D
                  visad.java2d.ShadowFunctionTypeJ2D
                      visad.bom.ShadowBarbFunctionTypeJ2D

All Implemented Interfaces:
  Serializable

public class ShadowBarbFunctionTypeJ2D
extends ShadowFunctionTypeJ2D

The ShadowBarbFunctionTypeJ2D class shadows the FunctionType class for BarbRendererJ2D, within a DataDisplayLink, under Java2D.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.java2d.ShadowFunctionOrSetTypeJ2D
``

Fields inherited from class visad.java2d.ShadowTypeJ2D
``

Fields inherited from class visad.ShadowType
`LEGAL, METERS_PER_DEGREE, NESTED, NOTHING_MAPPED, SIMPLE_ANIMATE_FIELD, SIMPLE_FIELD, SIMPLE_TUPLE`

Constructor Summary
`ShadowBarbFunctionTypeJ2D(MathType t, DataDisplayLink link, ShadowType parent)`

Method Summary
`VisADGeometryArray[]` `makeFlow(int which, float[][] flow_values, float flowScale, float[][] spatial_values, byte[][] color_values, boolean[][] range_select)` which = 0 for Flow1 and which = 1 for Flow2

Methods inherited from class visad.java2d.ShadowFunctionOrSetTypeJ2D
`addSwitch, addToGroup, addToSwitch, doTransform, getDomain, getRange, getTextMaps, makeBranch, makeSwitch, postProcess, preProcess, recurseRange, setTexCoords, textureToGroup, wantIndexed`

Methods inherited from class visad.java2d.ShadowTypeJ2D

`addLabelsToGroup, addToGroup, allowCurvedTexture, assembleColor, assembleFlow, assembleSelect, assembleShape, assembleSpatial, checkIndices, getAdaptedParent, getAdaptedShadowType, getComponents, getData, getDisplay, getDisplayIndices, getLevelOfDifficulty, getMappedDisplayScalar, getMultipleDisplayScalar, getParentText, getParentTextControl, getType, getValueIndices, makeContour, makePointGeometry, makeStreamline, makeText, mapValues, mapValues, mapValues, setText, terminalTupleOrScalar, toString`

Methods inherited from class visad.ShadowType

`addTextToGroup, adjustFlowToEarth, adjustZ, allowConstantColorSurfaces, allowLinearContour, byteToFloat, floatToByte, getAdjustProjectionSeam, getAnyContour, getAnyFlow, getAnyShape, getAnyText, getComponentIndex, getComponentWithRef, getCurvedTexture, getDefaultColorIndex, getIsLinearContour3D, getIsTerminal, getIsTexture3D, getIsTextureMap, getLink, getMultipleSpatialDisplayScalar, getRefToComponent, makePointGeometry, makeSpatialSet, recurseComponent, setTex3DCoords, setTexStackCoords, terminalTupleOrScalar, texture3DToGroup, textureDepth, textureHeight, textureStackToGroup, textureWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadowBarbFunctionTypeJ2D

    public ShadowBarbFunctionTypeJ2D(MathType t,
                                     DataDisplayLink link,
                                     ShadowType parent)
                              throws VisADException,
                                     RemoteException

Method Detail

### makeFlow

    public VisADGeometryArray[] makeFlow(int which,
                                         float[][] flow_values,
                                         float flowScale,
                                         float[][] spatial_values,
                                         byte[][] color_values,
                                         boolean[][] range_select)
                                  throws VisADException

  Description copied from class: `ShadowType`
  which = 0 for Flow1 and which = 1 for Flow2

  Overrides:
    `makeFlow` in class `ShadowTypeJ2D`
  Throws:
    `VisADException`